> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/versions/enterprise-v0.7.0/stepbystep/persistentzinggid.md).

# Persistent ZINGG ID

Reassign the ZINGG IDs for clusters from the original production model

[Zingg Enterprise Feature](#user-content-fn-1)[^1]

Let's say we have a production flow already deployed, and there is a new release which introduces some additional features (e.g., nicknames, a better blocking tree, or additional hash functions). Or maybe there are changes to the classifiers which are expected to change the output of Zingg.

Now, in that case, we already have existing ZINGG IDs which have gone into the operational systems. So, we want to reassign the ZINGG IDs for clusters from the original production model as far as possible.

We want to provide a user-friendly and easy way for any Zingg user to be able to achieve this.

### The reassign phase is run as follows:

`./scripts/zingg.sh --phase reassignZinggId --conf <path to new model conf> --originalZinggId <path to original conf>`

The output will be updating the output of the new run with the ZINGG\_ID in NEW\_OUTPUT and keeping a backup of the new output as NEW\_OUTPUT\_timestamp.

[^1]: Zingg Enterprise is the suite of proprietary products licensed by Zingg. Please refer to <https://www.zingg.ai/product/zingg-entity-resolution-compare-versions> for individual tier features.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/versions/enterprise-v0.7.0/stepbystep/persistentzinggid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
